키워드

키워드 감시

POST /v1/keywords keywords:write

쿼리를 감시합니다. 다른 사람이 이미 동일한 쿼리를 감시 중이면 거기에 합류하며, 그 설정은 변경할 수 없습니다.

요청 본문

본문 필드타입의미
query *string 1–500X 검색 문법, 모든 언어
labelstring모든 search.match에 그대로 포함

응답

201 생성됨, 200 기존 키워드에 합류. 운영자가 일시 중지한 경우 note가 경고합니다. Location이 해당 키워드를 가리킵니다.

상태: 201, 200, 400, 402, 403

요청
curl -X POST https://api.xsignalfeed.com/v1/keywords \
  -H "Authorization: Bearer xsf_your_key" -H "Content-Type: application/json" \
  -d '{"query": "($SOL OR \"Solana\") -filter:retweets -filter:replies", "label": "solana"}'
응답 · 201 / 200
{
  "id": 12,
  "query": "($SOL OR \"Solana\") -filter:retweets -filter:replies",
  "label": "solana",
  "active": true,
  "note": null
}